# Class ResolveDisputeRequest

#### Hierarchy

- unknown
  - ResolveDisputeRequest

- Defined in src/protobuf/grpc_pb.d.ts:524
- Defined in src/protobuf/grpc_pb.d.ts:548

#####
Index

### Constructors

constructor

### Methods

getCustomPayoutAmount
getReason
getSummaryNotes
getTradeId
getWinner
serializeBinary
setCustomPayoutAmount
setReason
setSummaryNotes
setTradeId
setWinner
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ResolveDisputeRequest(): ResolveDisputeRequest

- #### Returns ResolveDisputeRequest

  Inherited from jspb.Message.constructor

## Methods

### getCustomPayoutAmount

- getCustomPayoutAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:537

### getReason

- getReason(): Reason

- #### Returns Reason

  - Defined in src/protobuf/grpc_pb.d.ts:531

### getSummaryNotes

- getSummaryNotes(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:534

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:525

### getWinner

- getWinner(): Winner

- #### Returns Winner

  - Defined in src/protobuf/grpc_pb.d.ts:528

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:540

### setCustomPayoutAmount

- setCustomPayoutAmount(value: string): ResolveDisputeRequest

- #### Parameters

  - ##### value: string

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:538

### setReason

- setReason(value: Reason): ResolveDisputeRequest

- #### Parameters

  - ##### value: Reason

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:532

### setSummaryNotes

- setSummaryNotes(value: string): ResolveDisputeRequest

- #### Parameters

  - ##### value: string

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:535

### setTradeId

- setTradeId(value: string): ResolveDisputeRequest

- #### Parameters

  - ##### value: string

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:526

### setWinner

- setWinner(value: Winner): ResolveDisputeRequest

- #### Parameters

  - ##### value: Winner

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:529

### toObject

- toObject(includeInstance?: boolean): ResolveDisputeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ResolveDisputeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:541

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ResolveDisputeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:544

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ResolveDisputeRequest, reader: BinaryReader): ResolveDisputeRequest

- #### Parameters

  - ##### message: ResolveDisputeRequest

  - ##### reader: BinaryReader

  #### Returns ResolveDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:545

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ResolveDisputeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ResolveDisputeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:543

### `Static` toObject

- toObject(includeInstance: boolean, msg: ResolveDisputeRequest): ResolveDisputeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ResolveDisputeRequest

  #### Returns ResolveDisputeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:542

Generated using TypeDoc